############################################################
# +------------------------------------------------------+ #
# |                       Notes                          | #
# +------------------------------------------------------+ #
############################################################

# This is the config file for EssentialsX.
# This config was generated for version 2.22.0-dev+74-d7452bf.
# View the up-to-date default config at https://git.io/JG4z1

# If you want to use special characters in this document, such as accented letters, you MUST save the file as UTF-8, not ANSI.
# If you receive an error when Essentials loads, ensure that:
#  - No tabs are present: YAML only allows spaces
#  - Indents are correct: YAML hierarchy is based entirely on indentation
#  - You have "escaped" all apostrophes in your text: If you want to write "don't", for example, write "don''t" instead (note the doubled apostrophe)
#  - Text with symbols is enclosed in single or double quotation marks

# After editing the config, run '/essentials reload' in-game to apply the changes.

# If you need help, you can join the EssentialsX community: https://essentialsx.net/community.html

############################################################
# +------------------------------------------------------+ #
# |                 EssentialsX (Global)                 | #
# +------------------------------------------------------+ #
############################################################

# A color code between 0-9 or a-f. Set to 'none' to disable.
# In 1.16+, you can use hex color codes here as well (for example, #613e1d is brown).
ops-name-color: '4'

# The character(s) to prefix all nicknames, so that you know they are not true usernames.
# Players with 'essentials.nick.hideprefix' will not be prefixed with the character(s).
nickname-prefix: '~'

# The maximum length allowed in nicknames. The nickname prefix is not included in this.
max-nick-length: 15

# The regex pattern used to determine if a requested nickname should be allowed for use.
# If the requested nickname does not match this pattern, the nickname will be rejected.
# Players with 'essentials.nick.allowunsafe' will be able to bypass this check.
allowed-nicks-regex: '^[a-zA-Z_0-9§]+$'

# A list of phrases that cannot be used in nicknames. You can include regular expressions here.
# Players with 'essentials.nick.blacklist.bypass' will be able to bypass this filter.
nick-blacklist:
  #- Notch
  #- '^Dinnerbone'

# When this option is enabled, nickname length checking will exclude color codes in player names.
# For example, if "&6Notch" has 7 characters (2 are part of a color code), a length of 5 is used when this option is set to true.
ignore-colors-in-max-nick-length: false

# When this option is enabled, display names for hidden players will not be shown. This prevents players from being
# able to see that they are online while vanished.
hide-displayname-in-vanish: true

# Disable this if you have any other plugin that modifies the display name of a player.
change-displayname: true

# This option will cause Essentials to show players' display names instead of usernames when tab completing Essentials commands.
# If your tab completions include prefixes and suffixes, set this option to false.
change-tab-complete-name: false

# When EssentialsChat.jar isn't used, force Essentials to add the prefix and suffix from permissions plugins to display names.
# This setting is ignored if EssentialsChat.jar is used, and defaults to true.
# The value of 'change-displayname' above must be true.
# Do not edit this setting unless you know what you are doing!
#add-prefix-suffix: false

# When this option is enabled, the (tab) player list will be updated with the display name.
# The value of 'change-displayname' above must be true.
#change-playerlist: true

# When this option is enabled, player prefixes will be shown in the (tab) player list.
# This feature only works for Minecraft version 1.8 and higher.
# The value of 'change-playerlist' above must be true.
#add-prefix-in-playerlist: true

# When this option is enabled, player suffixes will be shown in the (tab) player list.
# This feature only works for Minecraft version 1.8 and higher.
# The value of 'change-playerlist' above must be true.
#add-suffix-in-playerlist: true

# If the teleport destination is unsafe, should players be teleported to the nearest safe location?
# If this is set to true, Essentials will attempt to teleport players close to the intended destination.
# If this is set to false, attempted teleports to unsafe locations will be cancelled with a warning.
teleport-safety: true

# This forcefully disables teleport safety checks without a warning if attempting to teleport to unsafe locations.
# Both 'teleport-safety' above and this option must be set to true to force teleportation to dangerous locations.
force-disable-teleport-safety: false

# If a player is teleporting to an unsafe location in creative, adventure, or god mode, they will not be teleported to a
# safe location. If you'd like players to be teleported to a safe location all of the time, set this option to true.
force-safe-teleport-location: false

# Consider water blocks as "safe", therefore allowing players to teleport
# using commands such as /home or /spawn to a location that is occupied by water blocks.
is-water-safe: false

# If a player has any passengers, the teleport will fail. Should their passengers be dismounted before they are teleported?
# If this is set to true, Essentials will dismount the player's passengers before teleporting.
# If this is set to false, attempted teleports will be canceled with a warning.
teleport-passenger-dismount: true

# The delay, in seconds, required between /home, /tp, etc.
teleport-cooldown: 0

# The delay, in seconds, before a player actually teleports.
# If the player moves or gets attacked in this timeframe, the teleport is cancelled.
teleport-delay: 0

# The delay, in seconds, during which a player can't be attacked by other players after being teleported by a command.
# This also prevents the player from attacking others.
teleport-invulnerability: 4

# Whether to make all teleportations go to the center of the block, where the x and z coordinates' decimals become .5.
teleport-to-center: true

# The delay, in seconds, required between /heal or /feed attempts.
heal-cooldown: 60

# Should potion effects be removed when healing a player?
remove-effects-on-heal: true

# The default radius when /near is used.
near-radius: 200

# What to prevent from /item and /give.
# Example: item-spawn-blacklist: lava_bucket,tnt,end_crystal
item-spawn-blacklist:

# Set this to true if you want permission-based item spawn rules.
# Note: 'item-spawn-blacklist' above will be ignored if set to true.
# Example permissions (these go in your permissions manager):
#  - essentials.itemspawn.item-all
#  - essentials.itemspawn.item-[itemname]
#  - essentials.give.item-all
#  - essentials.give.item-[itemname]
#  - essentials.unlimited.item-all
#  - essentials.unlimited.item-[itemname]
#  - essentials.unlimited.item-waterbucket (Unlimited water placing)
#
# For more information, visit https://wiki.ess3.net/wiki/Command_Reference/ICheat#Item.2FGive
permission-based-item-spawn: false

# The maximum number of entities that can be spawned per use of the /spawnmob command.
spawnmob-limit: 10

# Should Essentials notify smitten players when /lightning is used?
warn-on-smite: true

# Should items be dropped at a player's feet if their inventory is full instead of not giving the item(s)?
drop-items-if-full: false

# Should Essentials notify players if they have no new mail?
notify-no-new-mail: true

# Specifies the cooldown duration, in seconds, between mail notifications for a player.
# Useful for servers with high mail traffic.
notify-player-of-mail-cooldown: 60

# When a command conflicts with another plugin, Essentials will, by default, try to force the OTHER plugin to take priority.
# Adding commands to this list will tell Essentials not to "give up" the command to other plugins.
# In this state, which plugin "wins" may appear almost random.
#
# If you have two plugins with the same command and want to force Essentials to take over, you must set an alias.
# To force Essentials to handle '/god', alias 'god' to 'essentials:god $1-' in the 'commands.yml' file located in your server's root folder.
# See https://breezewiki.com/bukkit/wiki/Commands.yml#aliases for more information.
overridden-commands:
  #- god
  #- info

# Disabling commands here will prevent Essentials from handling the command; this will not affect command conflicts.
# You should not need to disable commands used by other plugins, as they will automatically get priority.
# See https://breezewiki.com/bukkit/wiki/Commands.yml#aliases to map commands to other plugins.
disabled-commands:
  #- nick
  #- clear

# Whether Essentials should show detailed command usages.
# If set to false, Essentials will collapse all usages in to one single usage message.
verbose-command-usages: true

# These commands will be shown to players with SocialSpy enabled.
# You can add commands from other plugins to track.
# Remove any commands you don't want to spy on.
# Remove the # from '*' to listen to all possible commands.
socialspy-commands:
  #- '*'
  - action
  - describe
  - eaction
  - edescribe
  - email
  - eme
  - emsg
  - er
  - ereply
  - etell
  - ewhisper
  - m
  - mail
  - msg
  - pm
  - r
  - reply
  - t
  - tell
  - w
  - whisper

# Whether private and public messages from muted players should appear in SocialSpy.
# If true, they will be differentiated from messages sent by normal players.
socialspy-listen-muted-players: true

# Whether SocialSpy should spy on private messages in addition to the commands from the list above.
# If false, it will only monitor the commands from the list above.
socialspy-messages: true

# Whether SocialSpy should use formatted display names, which may include color.
# If false, it will use only actual player names.
socialspy-uses-displaynames: true

# The following world settings listen for when a player changes worlds.
# If you use another plugin to control speed and flight, you should change these to false.

# When a player changes worlds, should Essentials reset their flight?
# This will disable flight if the player does not have 'essentials.fly'.
world-change-fly-reset: true

# Starting in 1.17, Minecraft no longer preserves a player's abilities when they change worlds.
# Setting this to true will make Essentials preserve a player's flight status when they change worlds.
# This will only work if the player has the 'essentials.fly' permission.
world-change-preserve-flying: true

# Should Essentials preserve a player's flight status when they change game modes?
# When enabled, if a player is flying when switching game modes, their flight will be maintained.
# This will only work if the player has the 'essentials.fly' permission.
gamemode-change-preserve-flying: false

# When a player changes worlds, should Essentials reset their speed according to their permissions?
# This resets the player's speed to the default if they don't have 'essentials.speed'.
# If the player doesn't have 'essentials.speed.bypass', their speed will be reset to the maximum values
# specified in 'max-walk-speed' and 'max-fly-speed' below.
world-change-speed-reset: true

# These commands will be disabled when a player is muted.
# Essentials already disables Essentials messaging commands by default.
# It only cares about the root command, not args after that (it sees '/f chat' the same as '/f').
# Remove the # from '*' to disable every command while muted.
mute-commands:
  #- '*'
  - f
  - kittycannon

# If you do not wish to use a permission system, you can define a list of "player permissions" below.
# This list has no effect if you are using a supported permissions system.
# If you are using an unsupported permissions system, simply delete this section.
# Whitelist the commands and permissions you wish to give players by default (everything else is OP only).
# These are the permissions without the 'essentials.' part.
#
# To enable this feature, ensure 'use-bukkit-permissions' below is set to false.
player-commands:
  - afk
  - afk.auto
  - back
  - back.ondeath
  - balance
  - balance.others
  - balancetop
  - build
  - chat.color
  - chat.format
  - chat.shout
  - chat.question
  - clearinventory
  - compass
  - depth
  - delhome
  - getpos
  - geoip.show
  - help
  - helpop
  - home
  - home.others
  - ignore
  - info
  - itemdb
  - kit
  - kits.tools
  - list
  - mail
  - mail.send
  - me
  - motd
  - msg
  - msg.color
  - nick
  - near
  - pay
  - ping
  - protect
  - r
  - rules
  - renamehome
  - realname
  - seen
  - sell
  - sethome
  - setxmpp
  - signs.create.protection
  - signs.create.trade
  - signs.break.protection
  - signs.break.trade
  - signs.use.balance
  - signs.use.buy
  - signs.use.disposal
  - signs.use.enchant
  - signs.use.free
  - signs.use.gamemode
  - signs.use.heal
  - signs.use.info
  - signs.use.kit
  - signs.use.mail
  - signs.use.protection
  - signs.use.repair
  - signs.use.sell
  - signs.use.time
  - signs.use.trade
  - signs.use.warp
  - signs.use.weather
  - spawn
  - suicide
  - time
  - tpa
  - tpaccept
  - tpahere
  - tpdeny
  - warp
  - warp.list
  - world
  - worth
  - xmpp

# Use this option to force superperms-based permissions handler regardless of detected installed perms plugin.
# This is useful if you want superperms-based permissions (with wildcards) for custom permissions plugins.
# If you wish to use Essentials' built-in permissions using the 'player-commands' section above, set this to false.
use-bukkit-permissions: true

# When this option is enabled, one-time use kits (i.e., delay < 0) will be
# removed from '/kit list' when a player can no longer use them.
skip-used-one-time-kits-from-kit-list: false

# When enabled, armor from kits will automatically be equipped as long as the player's armor slots are empty.
kit-auto-equip: false

# Determines the functionality of the /createkit command.
# If this is true, /createkit will give the user a link with the kit code.
# If this is false, /createkit will add the kit to the 'kits.yml' config file directly.
pastebin-createkit: false

# Determines if /createkit will generate kits using NBT item serialization.
# If this is true, /createkit will store items as NBT. Otherwise, it will use Essentials' human-readable item format.
# By using NBT serialization, /createkit can store items with complex metadata such as shulker boxes and weapons with custom attributes.
# WARNING: This option only works on 1.15.2+ Paper servers, and it will bypass any custom serializers from other plugins such as Magic.
# WARNING: When creating kits via /createkit with this option enabled, you will not be able to downgrade your server with these kit items.
# This option only affects /createkit - you can still create kits by hand in 'kits.yml' using Essentials' human-readable item format.
use-nbt-serialization-in-createkit: false

# To enable signs, remove the # symbol. To disable all signs, comment out or remove each sign.
# See https://wiki.ess3.net/wiki/Sign_Tutorial for instructions on how to use these.
# Essentials' colored sign support will be enabled when any sign type is enabled.
# Note: 'color' is not an actual sign type; it enables using color codes on signs when the correct permissions are given.
enabledSigns:
  #- color
  #- balance
  #- buy
  #- free
  #- sell
  #- trade
  #- enchant
  #- repair
  #- gamemode
  #- heal
  #- info
  #- kit
  #- mail
  #- randomteleport
  #- warp
  #- anvil
  #- cartography
  #- disposal
  #- grindstone
  #- loom
  #- smithing
  #- workbench
  #- spawnmob
  #- time
  #- weather

# This defines how many times per second Essentials signs can be interacted with per player.
# Values should be between 1-20, with 20 being virtually no lag protection.
# Lower numbers will reduce the possibility of lag, but may annoy players.
sign-use-per-second: 4

# Allow item IDs on pre-existing signs on 1.13 and above.
# You cannot use item IDs on new signs, but this will allow players to interact with signs that
# were placed before 1.13.
allow-old-id-signs: false

# List of sign names Essentials should not protect. This feature is especially useful when
# another plugin provides a sign that Essentials provides, but Essentials overrides.
# For example, if a plugin provides a [kit] sign, and you wish to use theirs instead of
# Essentials', then simply add 'kit' below and Essentials will not protect it.
#
# See https://github.com/drtshock/Essentials/pull/699 for more information.
unprotected-sign-names:
  #- kit

# Backup runs a custom batch/bash command at a specified interval.
# The server will save the world before executing the backup command, and disable
# saving during the backup to prevent world corruption or other conflicts.
# Backups can also be triggered manually with /backup.
backup:
  # The interval in minutes.
  interval: 30
  # If true, the backup task will run even if there are no players online.
  always-run: false
  # Unless you add a valid backup command or script here, this feature will be useless.
  # The example command below utilizes rdiff-backup: https://rdiff-backup.net
  #command: 'rdiff-backup World1 backups/World1'

# Set this to true to enable permissions per warp.
per-warp-permission: false

# Sort the output of the /list command by groups.
# You can hide and merge the groups displayed in /list by defining the desired behavior here.
# Detailed instructions and examples can be found on the wiki: https://wiki.ess3.net/wiki/List
list:
    # To merge groups under one name in /list, list each group on one line, separated by spaces.
    #Staff: owner admin moderator
    Admins: owner admin
    # To truncate group lists, set a max player limit.
    #builder: 20
    # To hide groups, set the group as hidden.
    #default: hidden
    # Uncomment the line below to simply list all players with no grouping.
    #Players: '*'

# Displays real names in /list next to players who are using a nickname.
real-names-on-list: false

# More output to the console.
debug: false

# Set the locale for all messages.
# If you don't set this, the default locale of the server will be used.
# For example, to set the language to English, set locale to 'en'. It will then use the file 'messages_en.properties'.
# Don't forget to remove the # in front of the line.
# For more information, visit https://essentialsx.net/wiki/Locale.html
#locale: en

# Should Essentials use the player's language instead of the server's when sending messages?
# This is useful if you want to use a different language for your server than for your players.
# For example, if your server is set to English and a player speaks French, you can set this to true.
# Essentials will then send messages in French to the player, while messages in the console will remain in English.
# If a player's language is not known, the server's language (or one defined above) will be used.
per-player-locale: false

# Change the default primary and secondary colors used in Essentials messages.
# Some messages may use custom colors, which must be edited in the appropriate message files.
# For more information on customizing messages, see https://essentialsx.net/wiki/Locale.html
message-colors:
  primary: '#ffaa00'
  secondary: '#ff5555'

# Turn off god mode when the player leaves the server.
remove-god-on-disconnect: false

# After this timeout in seconds, the player will be set as AFK.
# This feature requires the player to have the 'essentials.afk.auto' permission.
# Set to -1 for no timeout.
auto-afk: 300

# After this timeout in seconds, the player will either be kicked from
# the server or commands in 'afk-timeout-commands' will be executed.
# The 'essentials.afk.kickexempt' permission overrides this feature.
# Set to -1 for no timeout.
auto-afk-timeout: -1

# A list of commands to be executed instead of kicking the player once the
# threshold defined above in 'afk-auto-timeout' is reached. If this list is empty 
# and 'afk-auto-timeout' is not set to -1, Essentials will default to
# kicking the player once they reach the timeout threshold.
#
# WARNING: You must include a command here that either removes the player from the server
# or stops them from being AFK. Otherwise, these commands will run every second
# until the player is no longer AFK!
#
# Available placeholders:
# {USERNAME} - The player's username.
# {KICKTIME} - The time, in minutes, the player has been AFK for.
afk-timeout-commands:
  #- eco take {USERNAME} 10
  #- kick {USERNAME} You have been kicked for being inactive for {KICKTIME} minutes! You lost $10.

# Set this to true if you want to freeze players when they are AFK.
# Other players or monsters won't be able to push them out of AFK mode.
# This will also enable temporary god mode for the AFK player.
# The player must use the /afk command to leave AFK mode.
freeze-afk-players: false

# When a player is AFK, should they be able to pick up items?
# Enable this if you want to prevent people from idling in mob traps.
disable-item-pickup-while-afk: false

# This setting controls if a player is marked as active upon interaction.
cancel-afk-on-interact: true

# Should Essentials automatically remove AFK status when a player moves?
# Players will exit AFK on chat or command use, regardless of this setting.
# Disable this to reduce server lag.
cancel-afk-on-move: true

# Should Essentials automatically remove AFK status when a player sends a chat message?
cancel-afk-on-chat: true

# Should AFK players be ignored when other players are trying to sleep?
# When this setting is false, players won't be able to skip the night if some players are AFK.
# Players with the permission 'essentials.sleepingignored' will always be ignored.
sleep-ignores-afk-players: true

# Should vanished players be ignored when other players are trying to sleep?
# When this setting is false, players won't be able to skip the night if vanished players are not sleeping.
# Players with the permission 'essentials.sleepingignored' will always be ignored.
sleep-ignores-vanished-player: true

# Change the player's /list name when they are AFK. This is none by default, which specifies that Essentials
# should not interfere with the AFK player's /list name.
# You may use color codes, {USERNAME} for the player's name, or {PLAYER} for the player's display name.
afk-list-name: "none"

# When a player enters or exits AFK mode, should the AFK notification be broadcast
# to the entire server, or just to the player?
# When this setting is false, only the player will be notified upon changing their AFK state.
broadcast-afk-message: true

# You can disable the Minecraft death messages here.
death-messages: true

# How should Essentials handle players with the 'essentials.keepinv' permission who have items with
# Curse of Vanishing when they die?
# Valid options are: 'keep', 'drop', and 'delete'.
vanishing-items-policy: keep

# How should Essentials handle players with the 'essentials.keepinv' permission who have items with
# Curse of Binding when they die?
# Valid options are: 'keep', 'drop', and 'delete'.
binding-items-policy: keep

# When players die, should they receive the coordinates they died at?
send-info-after-death: false

# Should players with permissions be able to join and quit silently?
# You can control this with 'essentials.silentjoin' and 'essentials.silentquit' permissions if it is enabled.
# In addition, people with 'essentials.silentjoin.vanish' will be vanished upon joining.
allow-silent-join-quit: false

# You can set custom join and quit messages here. Set this to "none" to use the default Minecraft message,
# or set this to "" to hide the message entirely.
#
# Available placeholders:
# {PLAYER} - The player's display name.
# {USERNAME} - The player's username.
# {PREFIX} - The player's prefix.
# {SUFFIX} - The player's suffix.
# {ONLINE} - The number of players online.
# {UNIQUE} - The number of unique players to join the server.
# {UPTIME} - The amount of time the server has been online.
custom-join-message: "none"
custom-quit-message: "none"

# You can set a custom join message for players who join with an updated username here.
# This message will only be used if a player has joined before and has since changed their username.
# This will be displayed INSTEAD OF 'custom-join-message' above, so if you intend to keep them similar, make sure they match.
# Set this to "none" to use the 'custom-join-message' setting for every join.
#
# Available placeholders:
# {PLAYER} - The player's display name.
# {USERNAME} - The player's username.
# {OLDUSERNAME} - The player's old username.
# {PREFIX} - The player's prefix.
# {SUFFIX} - The player's suffix.
# {ONLINE} - The number of players online.
# {UNIQUE} - The number of unique players to join the server.
# {UPTIME} - The amount of time the server has been online.
custom-new-username-message: "none"

# Should Essentials override the vanilla "Server Full" message with its own from the language file?
# Set to false to keep the vanilla message.
use-custom-server-full-message: true

# Should Essentials override the vanilla "You are not whitelisted on this server" message with its own from the language file?
# Set to false to keep the vanilla message.
use-custom-whitelist-message: true

# You can disable join and quit messages when the player count reaches a certain limit.
# When the player count is below this number, join/quit messages will always be shown.
# Set this to -1 to always show join and quit messages regardless of player count.
hide-join-quit-messages-above: -1

# Add worlds to this list if you want to automatically disable god mode there.
no-god-in-worlds:
  #- world_nether

# Set to true to enable per-world permissions for teleporting between worlds with Essentials commands.
# This applies to /world, /back, /tp[a|o|here|all] but not warps.
# Give someone permission to teleport to a world with 'essentials.worlds.<worldname>'.
# This does not affect the /home command; use 'world-home-permissions' below.
world-teleport-permissions: false

# The number of items given if the quantity parameter is left out in /item or /give.
# If this number is below 1, the maximum stack size is given. If 'oversized-stacksize' below
# is not changed, any number higher than the maximum stack size results in multiple stacks.
default-stack-size: -1

# Oversized stacks are stacks that ignore the normal max stack size.
# They can be obtained using /give and /item if the player has the 'essentials.oversizedstacks' permission.
# How many items should be in an oversized stack?
oversized-stacksize: 64

# Allow repairing enchanted weapons and armor.
# If you set this to false, you can still allow it for certain players
# using the permission 'essentials.repair.enchanted'.
repair-enchanted: true

# Allow "unsafe" enchantments in kits and item spawning.
# WARNING: Mixing and over-leveling some enchantments can cause issues with clients, servers, and plugins.
unsafe-enchantments: false

# The maximum distance in blocks from the player that the /tree and /bigtree commands can spawn trees.
tree-command-range-limit: 300

# Should Essentials keep track of a player's previous location for /back in the teleport listener?
# If you set this to true, any plugin that uses teleport will have the previous location registered.
register-back-in-listener: false

# The delay, in seconds, before people can cause attack damage after logging in.
# This prevents players from exploiting the temporary invulnerability they receive upon joining.
login-attack-delay: 5

# Set the max walk and fly speeds to any value ranging from 0.1 to 1.0.
# Note: These values act as ratios to the in-game speed levels, which range from 0 to 10.
# For example, if the maximum speed is set to 0.8 and a player uses '/speed 10', their actual speed will be 0.8.
max-walk-speed: 0.8
max-fly-speed: 0.8

# Set the maximum amount of mail that can be sent within a minute.
mails-per-minute: 1000

# Set the maximum duration, in seconds, that /mute can be applied for.
# Set to -1 to disable the limit. Players with the 'essentials.mute.unlimited' permission can bypass this restriction.
max-mute-time: -1

# Set the maximum duration, in seconds, that /tempban can be applied for.
# Set to -1 to disable the limit. Players with the 'essentials.tempban.unlimited' permission can bypass this restriction.
max-tempban-time: -1

# Changes the default /reply functionality. This can be changed on a per-player basis using /rtoggle.
# If true, /r goes to the person you messaged last, otherwise the first person that messaged you.
# If false, /r goes to the last person that messaged you.
last-message-reply-recipient: true

# If 'last-message-reply-recipient' is enabled for a particular player,
# this specifies the duration, in seconds, that would need to elapse for the
# reply recipient to update when receiving a message.
# 180 seconds = 3 minutes
last-message-reply-recipient-timeout: 180

# Changes the default /reply functionality.
# If true, /reply will not check if the person you're replying to is vanished.
# If false, players will not be able to /reply to vanished players they cannot see.
last-message-reply-vanished: false

# Toggles whether left clicking mobs with a milk bucket turns them into a baby.
milk-bucket-easter-egg: true

# Toggles whether the fly status message should be sent to players on join.
send-fly-enable-on-join: true

# Set to true to enable per-world permissions for setting the time of individual worlds with Essentials commands.
# This applies to the /time, /day, and /night commands.
# Give someone permission to set time in a world with 'essentials.time.world.<worldname>'.
world-time-permissions: false

# Specify cooldowns for both Essentials commands and external commands.
# Commands do not start with a forward slash (/). For example, instead of '/msg', write 'msg'.
#
# Wildcards are supported. For example,
# - '*i*': 50
# adds a 50-second cooldown to all commands that include the letter "i".
#
# Essentials supports regex by starting the command with a caret (^).
# For example, to target commands starting with "ban" but not "banip", use:
#  '^ban([^ip])( .*)?': 60 # 60-second /ban cooldown
# Note: If you have a command that starts with ^, escape it using a backslash (\). E.g., \^command: 123
command-cooldowns:
  #feed: 100 # 100-second cooldown on /feed command
  #'*': 5 # 5-second cooldown on all commands

# Whether command cooldowns should persist across server shutdowns.
command-cooldown-persistence: true

# Whether NPC balances should be included in balance ranking features like /balancetop.
# NPC balances can include features like factions from the FactionsUUID plugin.
npcs-in-balance-ranking: false

# Allow bulk buying and selling with signs while the player is sneaking.
# This is useful when a sign buys or sells one item at a time and the player wants to sell many at once.
allow-bulk-buy-sell: true

# Allow selling items with custom names with the /sell command.
# This can help prevent players from accidentally selling named items.
allow-selling-named-items: false

# The delay, in milliseconds, for displaying the MOTD to players on join.
# This has no effect if the MOTD command or permission is disabled.
# Set to -1 to disable the join MOTD entirely.
delay-motd: 0

# A list of commands that should have their complementary confirm commands enabled by default.
# This is empty by default. For the latest list of valid commands, refer to the latest source 'config.yml'.
default-enabled-confirm-commands:
  #- pay
  #- clearinventory

# Where should Essentials teleport players when they are freed from jail?
# Set to 'back' to teleport them to their previous location before being jailed,
# 'spawn' to send them to the spawnpoint, or 'off' to disable teleportation upon release.
teleport-when-freed: back

# Whether jail time should only be counted while the player is online.
# If true, a jailed player's time will only decrement when they are online.
jail-online-time: false

# Set the timeout, in seconds, for players to accept a teleport request before it is cancelled.
# Set to 0 for no timeout.
tpa-accept-cancellation: 120

# The maximum number of simultaneous teleport requests that can be pending for any player.
# Once past this threshold, old requests will instantly time out.
tpa-max-requests: 5

# Allow players to set hats by clicking on their helmet slot with an item.
allow-direct-hat: true

# Allow in-game players to specify a world when running /broadcastworld.
# If false, running /broadcastworld in-game will always send a message to the player's current world.
# This doesn't affect running the command from the console, where a world is always required.
allow-world-in-broadcastworld: true

# Should the usermap try to sanitize usernames before saving them?
# You should only change this to false if you use Minecraft China.
safe-usermap-names: true

# Should Essentials output logs when a command block executes a command?
# Example: CommandBlock at <x>,<y>,<z> issued server command: /<command>
log-command-block-commands: true

# Should Essentials output logs when console executes a command?
# Example: CONSOLE issued server command: /<command>
log-console-commands: true

# Set the maximum speed for projectiles spawned with /fireball.
max-projectile-speed: 8

# Set the maximum amount of lore lines a user can set with the /itemlore command.
# Players with the 'essentials.itemlore.bypass' permission will be able to bypass this limit.
max-itemlore-lines: 10

# Should Essentials check for updates?
# If set to true, Essentials will show notifications when a new version is available.
# This uses the public GitHub API and no identifying information is sent or stored.
update-check: true

############################################################
# +------------------------------------------------------+ #
# |                        Homes                         | #
# +------------------------------------------------------+ #
############################################################

# Allows people to set their bed during the day.
# This setting has no effect in Minecraft 1.15+, as Minecraft will always allow the player to set their bed location during the day.
update-bed-at-daytime: true

# Set to true to enable per-world permissions for using homes to teleport between worlds.
# This applies to the /home command only.
# Give someone permission to teleport to a world with 'essentials.worlds.<worldname>'.
world-home-permissions: false

# Allow players to have multiple homes.
# Players need 'essentials.sethome.multiple' before they can have more than 1 home.
# You can set the default number of multiple homes using the 'default' rank below.
# To remove the home limit entirely, give people 'essentials.sethome.multiple.unlimited'.
#
# To grant different home amounts to different people, you need to define a "home rank" below.
# Once created, give the matching permission: 'essentials.sethome.multiple.<home_rank>'.
# Note: The "home ranks" defined below do not need to match your permissions plugin's group names.
#
# In this example, someone with 'essentials.sethome.multiple' and 'essentials.sethome.multiple.vip' will have 5 homes.
# Remember, they must have BOTH permission nodes in order to be able to set multiple homes.
# For more information, visit https://wiki.ess3.net/wiki/Multihome
sethome-multiple:
  default: 3
  vip: 5
  staff: 10

# Controls whether players need the permission 'essentials.home.compass' in order to point
# the player's compass toward their first home.
# Leaving this as false will retain Essentials' original behavior, which is to always
# change the compass' direction to point toward the player's first home.
compass-towards-home-perm: false

# If no home is set, would you like to send the player to spawn?
# If set to false, players will not be teleported when they run /home without first setting a home.
spawn-if-no-home: true

# Should players be asked to provide confirmation for homes they attempt to overwrite?
confirm-home-overwrite: false

############################################################
# +------------------------------------------------------+ #
# |                       Economy                        | #
# +------------------------------------------------------+ #
############################################################

# For more information, visit https://wiki.ess3.net/wiki/Essentials_Economy

# You can control the values of items that are sold to the server by using the /setworth command and 'worth.yml'.

# Defines the balance new players start with.
starting-balance: 0

# Defines the cost to use the given commands PER USE.
# Some commands like /repair have sub-costs. Check the wiki for more information.
command-costs:
  # To make /example cost $1000 PER USE:
  #example: 1000
  # To make '/kit tools' cost $1500 PER USE:
  #kit-tools: 1500

# Set this to a currency symbol you want to use.
# Remember, if you want to use special characters in this document, such as accented letters,
# you MUST save the file as UTF-8, not ANSI.
currency-symbol: '$'

# Enable this to make the currency symbol appear at the end of the amount rather than at the start.
# For example, the euro symbol typically appears after the current amount.
currency-symbol-suffix: false

# Set the maximum amount of money a player can have.
# Note: Extremely large numbers may have unintended consequences.
max-money: 10000000000000

# Set the minimum amount of money a player can have (must be greater than the negative value of max-money).
# Setting this to 0 will disable overdrafts/loans completely.
# Players need 'essentials.eco.loan' permission to have a negative balance.
min-money: -10000

# Enable this to log all interactions with buy/sell/trade signs and the sell command.
economy-log-enabled: false

# Enable this to replace usernames with UUIDs in the trade.log file.
# If this is false, usernames will be used instead of UUIDs.
economy-log-uuids: false

# Enable this to also log all transactions from other plugins through Vault.
# This can cause the economy log to fill up quickly so it should only be enabled for testing purposes!
economy-log-update-enabled: false

# The minimum acceptable amount to be used in /pay.
minimum-pay-amount: 0.001

# Enable this to block players who try to /pay someone who is ignoring them.
pay-excludes-ignore-list: false

# Whether players with a balance of $0 or less should be shown in the balance top list.
# Setting this to false will hide balances with $0 or less.
# Note: After reloading the config, run '/baltop force' for changes to take effect.
show-zero-baltop: true

# Requirements that players must meet to have their name shown in the balance top list.
# Playtime is measured in seconds.
baltop-requirements:
  minimum-balance: 0
  minimum-playtime: 0

# Limit the number of cached balance top entries. 
# Recommended for servers with a large number of players, as it reduces memory usage. 
# Set to -1 to disable the limit.
baltop-entry-limit: -1

# The format of currency, excluding symbols. For symbol configuration, see 'currency-symbol-format-locale' below.
#
# "#,##0.00" is how the majority of countries display currency.
#currency-format: "#,##0.00"

# Format currency symbols. Some locales use , and . interchangeably.
# Certain formats may not display correctly in-game due to Minecraft font rendering issues.
#
# Example locales:
#  - de-DE for 1.234,50
#  - en-US for 1,234.50
#  - fr-CH for 1'234,50
#
# Or see https://www.iban.com/country-codes for all Alpha-2 country codes.
#currency-symbol-format-locale: en-US

# Allow players to receive multipliers for items sold with /sell or the sell sign.
# You can set the default multiplier using the 'default' rank below.
#
# To grant different multipliers to different people, you need to define a "multiplier rank" below.
# Once created, give the matching permission: 'essentials.sell.multiplier.<multiplier_rank>'.
# Note: The "multiplier ranks" defined below do not need to match your permissions plugin's group names.
sell-multipliers:
  default: 1.0
  double: 2.0
  triple: 3.0

############################################################
# +------------------------------------------------------+ #
# |                         Help                         | #
# +------------------------------------------------------+ #
############################################################

# Show other plugins' commands in the Essentials help list.
non-ess-in-help: true

# Hide plugins that players do not have permission to use.
# You can override this by adding the 'essentials.help.<plugin>' permission to a player or group.
# Players with 'essentials.*' or '*' will see all help regardless.
# You can also use negative permissions to remove access to a specific plugin's help if this is enabled.
hide-permissionless-help: true

############################################################
# +------------------------------------------------------+ #
# |                   EssentialsX Chat                   | #
# +------------------------------------------------------+ #
############################################################

# You need to install the EssentialsX Chat module for this section to work.
# See https://essentialsx.net/wiki/Module-Breakdown.html for more information.

chat:

  # If Essentials Chat is installed, this sets how many blocks a player's chat will travel. Set to 0 for global chat.
  # Players with 'essentials.chat.spy' will see everything, regardless of this setting.
  # Players with 'essentials.chat.shout' can override this by prefixing their message with an exclamation mark (!).
  # Players with 'essentials.chat.question' can override this by prefixing their message with a question mark (?).
  # You can add command costs for shout/question by adding 'chat-shout' and 'chat-question' to the 'command-costs' section above.
  radius: 0

  # Chat formatting can be configured in two ways:
  #  - A standard format for all chat ('format' section)
  #  - Group-specific chat formats for extra variation ('group-formats' section)
  #
  # You can use permissions to control whether players can use formatting codes in their chat messages.
  # See https://essentialsx.net/wiki/Color-Permissions.html for more information.
  #
  # You can also specify a sub-format for each chat type.
  # For more information on chat formatting, visit the wiki: https://wiki.ess3.net/wiki/Chat_Formatting#Chat_Formatting
  #
  # Available placeholders:
  # {MESSAGE} - The content of the chat message.
  # {USERNAME} - The sender's username.
  # {DISPLAYNAME} - The sender's display name.
  # {NICKNAME} - The sender's Essentials nickname. If the sender has no nickname, the username is shown.
  # {PREFIX} - The sender's prefix, supplied by a permissions plugin.
  # {SUFFIX} - The sender's suffix, supplied by a permissions plugin.
  # {GROUP} - The sender's primary group name, supplied by a permissions plugin.
  # {WORLD} - The world alias of the sender's current world. See the world-aliases section below for details.
  # {WORLDNAME} - The full name of the sender's current world.
  # {SHORTWORLDNAME} - The first character of the sender's current world.
  # {TEAMNAME} - The sender's scoreboard team name.
  # {TEAMPREFIX} - The sender's scoreboard team prefix.
  # {TEAMSUFFIX} - The sender's scoreboard team suffix.
  #
  # Note: The {DISPLAYNAME} placeholder includes {PREFIX} and {SUFFIX} by default.
  # Using these together may result in double prefixes/suffixes in chat.

  format: '<{DISPLAYNAME}> {MESSAGE}'
  #format: '&7[{GROUP}]&r {DISPLAYNAME}&7:&r {MESSAGE}'
  #format: '&7{PREFIX}&r {NICKNAME}&r &7{SUFFIX}&r: {MESSAGE}'

  # You can also specify a format for each type of chat.
  #format:
  #  normal: '{WORLDNAME} {DISPLAYNAME}&7:&r {MESSAGE}'
  #  question: '{WORLDNAME} &4{DISPLAYNAME}&7:&r {MESSAGE}'
  #  shout: '{WORLDNAME} &c[{GROUP}]&r &4{DISPLAYNAME}&7:&c {MESSAGE}'

  # You can also specify a format for each group.
  # If using group formats, remove the # to activate the setting.
  # Note: Group names are case-sensitive, so you must match them up with your permissions plugin.
  # Note: If a LuckPerms group display name (alias) is set, you must use it instead of the original group name.
  group-formats:
    #default: '{WORLDNAME} {DISPLAYNAME}&7:&r {MESSAGE}'
    #admins: '{WORLDNAME} &c[{GROUP}]&r {DISPLAYNAME}&7:&c {MESSAGE}'

    # You can also specify a format for each type of chat for each group.
    #admins:
    #  question: '{WORLDNAME} &4{DISPLAYNAME}&7:&r {MESSAGE}'
    #  shout: '{WORLDNAME} &c[{GROUP}]&r &4{DISPLAYNAME}&7:&c {MESSAGE}'

  # World aliases allow you to replace the world name with something different in the chat format.
  # If using world aliases, remove the # to activate the setting.
  world-aliases:
    #plots: "&dP&r"
    #creative: "&eC&r"

  # Whether players should be placed into shout mode by default.
  shout-default: false

  # Whether a player's shout mode should persist across restarts.
  persist-shout: false

  # Whether chat questions should be enabled.
  question-enabled: true

  # Whether Essentials should use Paper's modern chat event system in 1.16.5+.
  # This is required for modern chat features such as hover events and click events.
  # If you're experiencing issues with other plugins that use the chat event system, you can disable this.
  # You must restart your server after changing this setting.
  paper-chat-events: true

############################################################
# +------------------------------------------------------+ #
# |                  EssentialsX Protect                 | #
# +------------------------------------------------------+ #
############################################################

# You need to install the EssentialsX Protect module for this section to work.
# See https://essentialsx.net/wiki/Module-Breakdown.html for more information.

protect:

  # General physics/behavior modifications. Set these to true to disable behaviors.
  prevent:
    lava-flow: false
    water-flow: false
    water-bucket-flow: false
    fire-spread: true
    lava-fire-spread: true
    lava-itemdamage: false
    flint-fire: false
    lightning-fire-spread: true
    portal-creation: false
    tnt-explosion: false
    tnt-playerdamage: false
    tnt-itemdamage: false
    tnt-minecart-explosion: false
    tnt-minecart-playerdamage: false
    tnt-minecart-itemdamage: false
    fireball-explosion: false
    fireball-fire: false
    fireball-playerdamage: false
    fireball-itemdamage: false
    windcharge-explosion: false
    witherskull-explosion: false
    witherskull-playerdamage: false
    witherskull-itemdamage: false
    wither-spawnexplosion: false
    wither-blockreplace: false
    creeper-explosion: false
    creeper-playerdamage: false
    creeper-itemdamage: false
    creeper-blockdamage: false
    ender-crystal-explosion: false
    enderdragon-blockdamage: true
    enderman-pickup: false
    villager-death: false
    bed-explosion: false
    respawn-anchor-explosion: false
    # Prevent monsters from following players.
    # The permission 'essentials.protect.entitytarget.bypass' disables this.
    entitytarget: false
    # Prevent zombies from breaking down doors.
    zombie-door-break: false
    # Prevent ravagers from stealing blocks.
    ravager-thief: false
    # Prevent sheep from turning grass into dirt.
    sheep-eat-grass: false
    transformation:
      # Prevent creepers from becoming charged when struck by lightning.
      charged-creeper: false
      # Prevent villagers from becoming zombie villagers.
      zombie-villager: false
      # Prevent zombie villagers from being cured.
      villager: false
      # Prevent villagers from becoming witches when struck by lightning.
      witch: false
      # Prevent pigs from becoming zombified piglins when struck by lightning.
      zombie-pigman: false
      # Prevent zombies from turning into drowneds, and husks from turning into zombies.
      drowned: false
      # Prevent mooshrooms from changing color when struck by lightning.
      mooshroom: false
    # Prevent the spawning of creatures. If a creature is missing, you can add it following the format below.
    spawn:
      creeper: false
      skeleton: false
      spider: false
      giant: false
      zombie: false
      slime: false
      ghast: false
      pig_zombie: false
      enderman: false
      cave_spider: false
      silverfish: false
      blaze: false
      magma_cube: false
      ender_dragon: false
      pig: false
      sheep: false
      cow: false
      chicken: false
      squid: false
      wolf: false
      mushroom_cow: false
      snowman: false
      ocelot: false
      iron_golem: false
      villager: false
      wither: false
      bat: false
      witch: false
      horse: false
      phantom: false

  # The maximum height a creeper can explode. -1 allows them to explode everywhere.
  # Set 'creeper-explosion' above to true if you want to disable creeper explosions completely.
  creeper:
    max-height: -1

  # Disable various default physics/behaviors.
  disable:
    # Should fall damage be disabled?
    fall: false

    # Should PvP be disabled?
    # Players with the 'essentials.protect.pvp' permission will still be able to attack each other if this is set to true.
    # However, they will be unable to attack players without the permission node.
    pvp: false

    # Should drowning damage be disabled?
    drown: false

    # Should suffocation in blocks be disabled?
    suffocate: false

    # Should damage by lava be disabled?
    # Items that fall into lava will still burn to a crisp. ;)
    lavadmg: false

    # Should projectile damage, such as from arrows, be disabled?
    projectiles: false

    # Should contact damage be disabled?
    # This includes touching cacti, dripstone, berry bushes, etc.
    contactdmg: false

    # Burn, baby, burn! Should fire damage be disabled?
    firedmg: false

    # Should the damage from being hit by lightning be disabled?
    lightning: false

    # Should wither damage be disabled?
    wither: false

    # Should these types of weather be disabled?
    weather:
      storm: false
      thunder: false
      lightning: false

############################################################
# +------------------------------------------------------+ #
# |                 EssentialsX AntiBuild                | #
# +------------------------------------------------------+ #
############################################################

  # You need to install the EssentialsX AntiBuild module for this section to work.
  # See https://essentialsx.net/wiki/Module-Breakdown.html and https://wiki.ess3.net/wiki/AntiBuild for more information.

    # Should building be disabled for those without the 'essentials.build' permission?
    # Setting this to false means Essentials AntiBuild will never prevent players from building.
    build: true

    # Should people without the 'essentials.build' permission be prevented from using items?
    # Setting this to false means Essentials AntiBuild will never prevent players from using items.
    use: true

    # Should Essentials message people when they are not allowed to build?
    warn-on-build-disallow: true

  # For which block types would you like to be alerted?
  # You can find a list of items at https://hub.spigotmc.org/javadocs/spigot/org/bukkit/Material.html
  alert:
    on-placement: LAVA,TNT,LAVA_BUCKET
    on-use: LAVA_BUCKET
    on-break:

  blacklist:

    # Which blocks should people be prevented from placing?
    placement: LAVA,TNT,LAVA_BUCKET

    # Which items should people be prevented from using?
    usage: LAVA_BUCKET

    # Which blocks should people be prevented from breaking?
    break:

    # Which blocks should not be moved by pistons?
    piston:

    # Which blocks should not be dispensed by dispensers?
    dispenser:

############################################################
# +------------------------------------------------------+ #
# |            EssentialsX Spawn + New Players           | #
# +------------------------------------------------------+ #
############################################################

# You need to install the EssentialsX Spawn module for this section to work.
# See https://essentialsx.net/wiki/Module-Breakdown.html for more information.

newbies:
  # Should Essentials announce to the server when someone logs in for the first time?
  # {DISPLAYNAME} will be replaced with the player name.
  # Set to '' to disable.
  #announce-format: ''
  announce-format: '&dWelcome {DISPLAYNAME}&d to the server!'

  # When players spawn for the first time, which spawnpoint should be used?
  # Set to 'none' to use the spawnpoint of the world.
  # Different spawn names can be set using '/setspawn <group>'.
  spawnpoint: newbies

  # Should players receive items on their first join?
  # This kit will be given regardless of cost and permissions and won't trigger any kit delay (cooldown).
  # Set to '' to disable.
  #kit: ''
  kit: tools

# What priority should Essentials use for handling respawns?
# Set this to 'none' if you want vanilla respawning behavior.
# Set this to 'lowest' if you want world plugins to handle the respawning.
# Set this to 'high' if you want Essentials Spawn to handle the respawning.
# Set this to 'highest' if you want to force Essentials Spawn to handle the respawning.
# Note: Changes will not apply until after the server is restarted.
respawn-listener-priority: high

# What priority should Essentials use for handling spawning on joining the server?
# See 'respawn-listener-priority' above for possible values.
# Note: Changing this may impact or break 'spawn-on-join' functionality below.
# Note: Changes will not apply until after the server is restarted.
spawn-join-listener-priority: high

# When players die, should they respawn at their first home or bed instead of the spawnpoint?
respawn-at-home: false

# When players die, should they respawn at their bed instead of their first home or the spawnpoint?
# The 'respawn-at-home' setting above must also be true for this to take effect.
respawn-at-home-bed: true

# When players die, should Essentials respect their respawn anchors?
respawn-at-anchor: false

# If configured, players will spawn at a random location instead of their spawnpoint.
# This will override the newbies spawnpoint set above.
#
# The location must first be set using the /settpr command or in 'tpr.yml'.
# After a tpr location is created, set the world name (or the name defined in 'tpr.yml') below.
random-spawn-location: "none"

# If configured, players will respawn at the random respawn location when they die.
# See 'random-spawn-location' above for additional location information.
random-respawn-location: "none"

# Teleport all joining players to their spawnpoint.
spawn-on-join: false
# The following value of 'guests' states that all players in the 'guests' group will be teleported to spawn when joining.
#spawn-on-join: guests
# The following list value states that all players in the 'guests' or 'admin' groups will be teleported to spawn when joining.
#spawn-on-join:
#  - guests
#  - admin

# End of file <-- No seriously, you're done with configuration.
